Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DefineExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DefineExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DefineExpressions.cs	(revision 14513)
@@ -1,130 +1,125 @@
-﻿using System;
-using System.Collections.Generic;
-using HeuristicLab.Algorithms.PushGP.Interpreter;
-using HeuristicLab.Algorithms.PushGP.Stack;
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions
+{
+  using System;
+  using System.Collections.Generic;
 
-namespace HeuristicLab.Algorithms.PushGP.Expressions
-{
-    /// <summary>
-    /// Defines the name on top of the NAME stack as an instruction that will push the top item of the T stack onto the EXEC stack.
-    /// </summary>
-    /// <typeparam name="T">Stacktype</typeparam>
-    public abstract class DefineExpression<T> : StatelessExpression
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+  using HeuristicLab.Algorithms.PushGP.Stack;
+
+  /// <summary>
+  ///     Defines the name on top of the NAME stack as an instruction that will push the top item of the T stack onto the
+  ///     EXEC stack.
+  /// </summary>
+  /// <typeparam name="T">Stacktype</typeparam>
+  public abstract class DefineExpression<T> : StatelessExpression
+  {
+    protected void Eval(
+      IStack<T> stack,
+      IStack<string> nameStack,
+      IDictionary<string, Expression> customExpressions,
+      Func<T, Expression> creator)
     {
-        protected void Eval(IStack<T> stack, IStack<string> nameStack, IDictionary<string, Expression> customExpressions, Func<T, Expression> creator)
-        {
-            // not enough arguments on stack
-            if (nameStack.Count == 0 ||
-                stack.Count < 1)
-                return;
+      // not enough arguments on stack
+      if ((nameStack.Count == 0) || (stack.Count < 1)) return;
 
-            var name = nameStack.Pop();
-            var expression = creator(stack.Top);
+      var name = nameStack.Pop();
+      var expression = creator(stack.Top);
 
-            if (customExpressions.ContainsKey(name))
-            {
-                customExpressions[name] = expression;
-            }
-            else
-            {
-                customExpressions.Add(name, expression);
-            }
-        }
+      if (customExpressions.ContainsKey(name)) customExpressions[name] = expression;
+      else customExpressions.Add(name, expression);
+    }
+  }
+
+  public class CodeDefineExpression : DefineExpression<Expression>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "CODE.DEFINE";
     }
 
-    public class CodeDefineExpression : DefineExpression<Expression>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation()
-        {
-            return "CODE.DEFINE";
-        }
+      if (interpreter.Configuration.TopLevelPushCode && (interpreter.CodeStack.Count < 2)) return;
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.Configuration.TopLevelPushCode &&
-                interpreter.CodeStack.Count < 2)
-                return;
+      this.Eval(
+        interpreter.CodeStack,
+        interpreter.NameStack,
+        interpreter.CustomExpressions,
+        v => new ExecPushExpression(v));
 
-            Eval(
-                interpreter.CodeStack,
-                interpreter.NameStack,
-                interpreter.CustomExpressions,
-                v => new ExecPushExpression(v));
+      interpreter.CodeStack.Pop();
+    }
+  }
 
-            interpreter.CodeStack.Pop();
-        }
+  public class ExecDefineExpression : DefineExpression<Expression>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "EXEC.DEFINE";
     }
 
-    public class ExecDefineExpression : DefineExpression<Expression>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation()
-        {
-            return "EXEC.DEFINE";
-        }
+      if (interpreter.ExecStack.Count < 2) return;
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.ExecStack.Count < 2)
-                return;
+      this.Eval(
+        interpreter.ExecStack,
+        interpreter.NameStack,
+        interpreter.CustomExpressions,
+        v => new ExecPushExpression(v));
 
-            Eval(
-                interpreter.ExecStack,
-                interpreter.NameStack,
-                interpreter.CustomExpressions,
-                v => new ExecPushExpression(v));
+      interpreter.ExecStack.Pop();
+    }
+  }
 
-            interpreter.ExecStack.Pop();
-        }
+  public class FloatDefineExpression : DefineExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.DEFINE";
     }
 
-    public class FloatDefineExpression : DefineExpression<double>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation()
-        {
-            return "FLOAT.DEFINE";
-        }
+      this.Eval(
+        interpreter.FloatStack,
+        interpreter.NameStack,
+        interpreter.CustomExpressions,
+        v => new FloatPushExpression(v));
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.FloatStack,
-                interpreter.NameStack,
-                interpreter.CustomExpressions,
-                v => new FloatPushExpression(v));
-        }
+  public class IntegerDefineExpression : DefineExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.DEFINE";
     }
 
-    public class IntegerDefineExpression : DefineExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation()
-        {
-            return "INTEGER.DEFINE";
-        }
+      this.Eval(
+        interpreter.IntegerStack,
+        interpreter.NameStack,
+        interpreter.CustomExpressions,
+        v => new IntegerPushExpression(v));
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.IntegerStack,
-                interpreter.NameStack,
-                interpreter.CustomExpressions,
-                v => new IntegerPushExpression(v));
-        }
+  public class BooleanDefineExpression : DefineExpression<bool>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "BOOLEAN.DEFINE";
     }
 
-    public class BooleanDefineExpression : DefineExpression<bool>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation()
-        {
-            return "BOOLEAN.DEFINE";
-        }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.BooleanStack,
-                interpreter.NameStack,
-                interpreter.CustomExpressions,
-                v => new BooleanPushExpression(v));
-        }
+      this.Eval(
+        interpreter.BooleanStack,
+        interpreter.NameStack,
+        interpreter.CustomExpressions,
+        v => new BooleanPushExpression(v));
     }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoCountExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoCountExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoCountExpressions.cs	(revision 14513)
@@ -1,97 +1,66 @@
-﻿using HeuristicLab.Algorithms.PushGP.Interpreter;
-using HeuristicLab.Algorithms.PushGP.Stack;
-using HeuristicLab.Common;
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions {
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+  using HeuristicLab.Algorithms.PushGP.Stack;
 
-namespace HeuristicLab.Algorithms.PushGP.Expressions
-{
-    public abstract class DoCountExpression : LoopExpression
-    {
-        public DoCountExpression()
-        { }
-
-        public DoCountExpression(LoopExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
-
-        protected override bool HasInsufficientArguments(IInterpreter interpreter, IStack<Expression> sourceStack)
-        {
-            return interpreter.IntegerStack.Count < 1 ||
-                   sourceStack.Count == 0 ||
-                   interpreter.IntegerStack.Top <= 0;
-        }
-
-        protected override void InitState(IInterpreter interpreter, IStack<Expression> sourceStack)
-        {
-            body = sourceStack.Pop();
-            destinationIndex = interpreter.IntegerStack.Top;
-            currentIndex = 1;
-            incrementor = 1;
-
-            interpreter.IntegerStack.SetTop(0);
-        }
+  public abstract class DoCountExpression : LoopExpression {
+    protected override bool HasInsufficientArguments(IPushGpInterpreter interpreter, IStack<Expression> sourceStack) {
+      return (interpreter.IntegerStack.Count < 1) || (sourceStack.Count == 0) || (interpreter.IntegerStack.Top <= 0);
     }
 
-    /// <summary>
-    /// An iteration instruction that performs a loop (the body of which is taken from the CODE stack) the number of times indicated by
-    /// the INTEGER argument, pushing an index (which runs from zero to one less than the number of iterations) onto the INTEGER stack
-    /// prior to each execution of the loop body. This should be implemented as a macro that expands into a call to CODE.DO*RANGE.
-    /// CODE.DO*COUNT takes a single INTEGER argument (the number of times that the loop will be executed) and a single CODE argument
-    /// (the body of the loop). If the provided INTEGER argument is negative or zero then this becomes a NOOP. Otherwise it expands into:
-    /// ( 0 '1 - IntegerArg>' CODE.QUOTE 'CodeArg' CODE.DO*RANGE )
-    /// </summary>
-    public class CodeDoCountExpression : DoCountExpression
-    {
-        public CodeDoCountExpression()
-        { }
+    protected override void InitState(IPushGpInterpreter interpreter, IStack<Expression> sourceStack) {
+      this.State.Body = sourceStack.Pop();
+      this.State.DestinationIndex = interpreter.IntegerStack.Top;
+      this.State.CurrentIndex = 1;
+      this.State.Incrementor = 1;
 
-        protected CodeDoCountExpression(CodeDoCountExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
+      interpreter.IntegerStack.SetTop(0);
+    }
+  }
 
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new CodeDoCountExpression(this, cloner);
-        }
-
-        protected override string InitStringRepresentation()
-        {
-            return "CODE.DO*COUNT";
-        }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter, interpreter.CodeStack);
-        }
+  /// <summary>
+  ///     An iteration instruction that performs a loop (the body of which is taken from the CODE stack) the number of times
+  ///     indicated by
+  ///     the INTEGER argument, pushing an index (which runs from zero to one less than the number of iterations) onto the
+  ///     INTEGER stack
+  ///     prior to each execution of the loop body. This should be implemented as a macro that expands into a call to
+  ///     CODE.DO*RANGE.
+  ///     CODE.DO*COUNT takes a single INTEGER argument (the number of times that the loop will be executed) and a single
+  ///     CODE argument
+  ///     (the body of the loop). If the provided INTEGER argument is negative or zero then this becomes a NOOP. Otherwise it
+  ///     expands into:
+  ///     ( 0 '1 - IntegerArg>' CODE.QUOTE 'CodeArg' CODE.DO*RANGE )
+  /// </summary>
+  public class CodeDoCountExpression : DoCountExpression {
+    protected override string InitStringRepresentation() {
+      return "CODE.DO*COUNT";
     }
 
-    /// <summary>
-    /// An iteration instruction that performs a loop (the body of which is taken from the EXEC stack) the number of times indicated
-    /// by the INTEGER argument, pushing an index (which runs from zero to one less than the number of iterations) onto the INTEGER
-    /// stack prior to each execution of the loop body. This is similar to CODE.DO*COUNT except that it takes its code argument from
-    /// the EXEC stack. This should be implemented as a macro that expands into a call to EXEC.DO*RANGE. EXEC.DO*COUNT takes a single
-    /// INTEGER argument (the number of times that the loop will be executed) and a single EXEC argument (the body of the loop). If
-    /// the provided INTEGER argument is negative or zero then this becomes a NOOP. Otherwise it expands into:
-    /// ( 0 '1 - IntegerArg' EXEC.DO* RANGE'ExecArg' )
-    /// </summary>
-    public class ExecDoCountExpression : DoCountExpression
-    {
-        public ExecDoCountExpression()
-        { }
+    public override void Eval(IPushGpInterpreter interpreter) {
+      this.Eval(interpreter, interpreter.CodeStack);
+    }
+  }
 
-        protected ExecDoCountExpression(ExecDoCountExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
+  /// <summary>
+  ///     An iteration instruction that performs a loop (the body of which is taken from the EXEC stack) the number of times
+  ///     indicated
+  ///     by the INTEGER argument, pushing an index (which runs from zero to one less than the number of iterations) onto the
+  ///     INTEGER
+  ///     stack prior to each execution of the loop body. This is similar to CODE.DO*COUNT except that it takes its code
+  ///     argument from
+  ///     the EXEC stack. This should be implemented as a macro that expands into a call to EXEC.DO*RANGE. EXEC.DO*COUNT
+  ///     takes a single
+  ///     INTEGER argument (the number of times that the loop will be executed) and a single EXEC argument (the body of the
+  ///     loop). If
+  ///     the provided INTEGER argument is negative or zero then this becomes a NOOP. Otherwise it expands into:
+  ///     ( 0 '1 - IntegerArg' EXEC.DO* RANGE'ExecArg' )
+  /// </summary>
+  public class ExecDoCountExpression : DoCountExpression {
+    protected override string InitStringRepresentation() {
+      return "EXEC.DO*COUNT";
+    }
 
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new ExecDoCountExpression(this, cloner);
-        }
-
-        protected override string InitStringRepresentation()
-        {
-            return "EXEC.DO*COUNT";
-        }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter, interpreter.ExecStack);
-        }
+    public override void Eval(IPushGpInterpreter interpreter) {
+      this.Eval(interpreter, interpreter.ExecStack);
     }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoRangeExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoRangeExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/DoRangeExpressions.cs	(revision 14513)
@@ -1,106 +1,85 @@
-﻿using HeuristicLab.Algorithms.PushGP.Interpreter;
-using HeuristicLab.Algorithms.PushGP.Stack;
-using HeuristicLab.Common;
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions {
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+  using HeuristicLab.Algorithms.PushGP.Stack;
 
-namespace HeuristicLab.Algorithms.PushGP.Expressions
-{
-    public abstract class DoRangeExpression : LoopExpression
-    {
-        public DoRangeExpression()
-        { }
-
-        public DoRangeExpression(LoopExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
-
-        protected override bool HasInsufficientArguments(IInterpreter interpreter, IStack<Expression> sourceStack)
-        {
-            return interpreter.IntegerStack.Count < 2 ||
-                   sourceStack.Count == 0 ||
-                   interpreter.IntegerStack.Top == interpreter.IntegerStack.ReverseElementAt(1);
-        }
-
-        protected override void InitState(IInterpreter interpreter, IStack<Expression> sourceStack)
-        {
-            body = sourceStack.Pop();
-            destinationIndex = interpreter.IntegerStack.Pop();
-            currentIndex = interpreter.IntegerStack.Top;
-            incrementor = destinationIndex < currentIndex ? -1 : 1;
-            currentIndex += incrementor;
-        }
+  public abstract class DoRangeExpression : LoopExpression {
+    protected override bool HasInsufficientArguments(IPushGpInterpreter interpreter, IStack<Expression> sourceStack) {
+      return (interpreter.IntegerStack.Count < 2) || (sourceStack.Count == 0)
+             || (interpreter.IntegerStack.Top == interpreter.IntegerStack.ReverseElementAt(1));
     }
 
-    /// <summary>
-    /// An iteration instruction that executes the top item on the CODE stack a number of times that depends on the
-    /// top two integers, while also pushing the loop counter onto the INTEGER stack for possible access during the execution of
-    /// the body of the loop. The top integer is the "destination index" and the second integer is the "current index." First the code
-    /// and the integer arguments are saved locally and popped. Then the integers are compared. If the integers are equal then the current
-    /// index is pushed onto the INTEGER stack and the code (which is the "body" of the loop) is pushed onto the EXEC stack for subsequent
-    /// execution. If the integers are not equal then the current index will still be pushed onto the INTEGER stack but two items will be
-    /// pushed onto the EXEC stack -- first a recursive call to CODE.DO*RANGE (with the same code and destination index, but with a current
-    /// index that has been either incremented or decremented by 1 to be closer to the destination index) and then the body code. Note that
-    /// the range is inclusive of both endpoints; a call with integer arguments 3 and 5 will cause its body to be executed 3 times, with the
-    /// loop counter having the values 3, 4, and 5. Note also that one can specify a loop that "counts down" by providing a destination index
-    /// that is less than the specified current index.
-    /// </summary>
-    public class CodeDoRangeExpression : DoRangeExpression
-    {
-        public CodeDoRangeExpression()
-        { }
+    protected override void InitState(IPushGpInterpreter interpreter, IStack<Expression> sourceStack) {
+      this.State.Body = sourceStack.Pop();
+      this.State.DestinationIndex = interpreter.IntegerStack.Pop();
+      this.State.CurrentIndex = interpreter.IntegerStack.Top;
+      this.State.Incrementor = this.State.DestinationIndex < this.State.CurrentIndex ? -1 : 1;
+      this.State.CurrentIndex += this.State.Incrementor;
+    }
+  }
 
-        protected CodeDoRangeExpression(CodeDoRangeExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new CodeDoRangeExpression(this, cloner);
-        }
-
-        protected override string InitStringRepresentation()
-        {
-            return "CODE.DO*RANGE";
-        }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter, interpreter.CodeStack);
-        }
+  /// <summary>
+  ///     An iteration instruction that executes the top item on the CODE stack a number of times that depends on the
+  ///     top two integers, while also pushing the loop counter onto the INTEGER stack for possible access during the
+  ///     execution of
+  ///     the body of the loop. The top integer is the "destination index" and the second integer is the "current index."
+  ///     First the code
+  ///     and the integer arguments are saved locally and popped. Then the integers are compared. If the integers are equal
+  ///     then the current
+  ///     index is pushed onto the INTEGER stack and the code (which is the "body" of the loop) is pushed onto the EXEC stack
+  ///     for subsequent
+  ///     execution. If the integers are not equal then the current index will still be pushed onto the INTEGER stack but two
+  ///     items will be
+  ///     pushed onto the EXEC stack -- first a recursive call to CODE.DO*RANGE (with the same code and destination index,
+  ///     but with a current
+  ///     index that has been either incremented or decremented by 1 to be closer to the destination index) and then the body
+  ///     code. Note that
+  ///     the range is inclusive of both endpoints; a call with integer arguments 3 and 5 will cause its body to be executed
+  ///     3 times, with the
+  ///     loop counter having the values 3, 4, and 5. Note also that one can specify a loop that "counts down" by providing a
+  ///     destination index
+  ///     that is less than the specified current index.
+  /// </summary>
+  public class CodeDoRangeExpression : DoRangeExpression {
+    protected override string InitStringRepresentation() {
+      return "CODE.DO*RANGE";
     }
 
-    /// <summary>
-    /// An iteration instruction that executes the top item on the EXEC stack a number of times that depends on the top two integers,
-    /// while also pushing the loop counter onto the INTEGER stack for possible access during the execution of the body of the loop.
-    /// This is similar to CODE.DO*COUNT except that it takes its code argument from the EXEC stack. The top integer is the
-    /// "destination index" and the second integer is the "current index." First the code and the integer arguments are saved locally
-    /// and popped. Then the integers are compared. If the integers are equal then the current index is pushed onto the INTEGER stack
-    /// and the code (which is the "body" of the loop) is pushed onto the EXEC stack for subsequent execution. If the integers are not
-    /// equal then the current index will still be pushed onto the INTEGER stack but two items will be pushed onto the EXEC stack
-    /// -- first a recursive call to EXEC.DO*RANGE (with the same code and destination index, but with a current index that has been
-    /// either incremented or decremented by 1 to be closer to the destination index) and then the body code. Note that the range is
-    /// inclusive of both endpoints; a call with integer arguments 3 and 5 will cause its body to be executed 3 times, with the loop
-    /// counter having the values 3, 4, and 5. Note also that one can specify a loop that "counts down" by providing a destination
-    /// index that is less than the specified current index.
-    /// </summary>
-    public class ExecDoRangeExpression : DoRangeExpression
-    {
-        public ExecDoRangeExpression()
-        { }
+    public override void Eval(IPushGpInterpreter interpreter) {
+      this.Eval(interpreter, interpreter.CodeStack);
+    }
+  }
 
-        protected ExecDoRangeExpression(ExecDoRangeExpression origin, Cloner cloner) : base(origin, cloner)
-        { }
+  /// <summary>
+  ///     An iteration instruction that executes the top item on the EXEC stack a number of times that depends on the top two
+  ///     integers,
+  ///     while also pushing the loop counter onto the INTEGER stack for possible access during the execution of the body of
+  ///     the loop.
+  ///     This is similar to CODE.DO*COUNT except that it takes its code argument from the EXEC stack. The top integer is the
+  ///     "destination index" and the second integer is the "current index." First the code and the integer arguments are
+  ///     saved locally
+  ///     and popped. Then the integers are compared. If the integers are equal then the current index is pushed onto the
+  ///     INTEGER stack
+  ///     and the code (which is the "body" of the loop) is pushed onto the EXEC stack for subsequent execution. If the
+  ///     integers are not
+  ///     equal then the current index will still be pushed onto the INTEGER stack but two items will be pushed onto the EXEC
+  ///     stack
+  ///     -- first a recursive call to EXEC.DO*RANGE (with the same code and destination index, but with a current index that
+  ///     has been
+  ///     either incremented or decremented by 1 to be closer to the destination index) and then the body code. Note that the
+  ///     range is
+  ///     inclusive of both endpoints; a call with integer arguments 3 and 5 will cause its body to be executed 3 times, with
+  ///     the loop
+  ///     counter having the values 3, 4, and 5. Note also that one can specify a loop that "counts down" by providing a
+  ///     destination
+  ///     index that is less than the specified current index.
+  /// </summary>
+  public class ExecDoRangeExpression : DoRangeExpression {
+    protected override string InitStringRepresentation() {
+      return "EXEC.DO*RANGE";
+    }
 
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new ExecDoRangeExpression(this, cloner);
-        }
-
-        protected override string InitStringRepresentation()
-        {
-            return "EXEC.DO*RANGE";
-        }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter, interpreter.ExecStack);
-        }
+    public override void Eval(IPushGpInterpreter interpreter) {
+      this.Eval(interpreter, interpreter.ExecStack);
     }
+  }
 }
